all:

  i18n:
    cultures:             [ 'fr','fa' ]        # Available cultures
    prefix_url:           false         # Prefix URLs in front with culture
      
  cache:
    apc:                  true          # (RECOMMENDED) Use Apc if available
    
  js:
    compress:             true          # (RECOMMENDED) Performance : Minifies javascripts and put them into a single compressed file
    cdn:
      enabled:            false         # Uses google cdn to load jQuery
    head_inclusion:       [ ]           # If you want some libraries to be included in the <head> section,
                                        # declare them here. This degrades performances but is required
                                        # by some symfony plugins that embed jQuery code.
                                        # example: [ lib.jquery ]
      
  css:
    compress:             true          # (RECOMMENDED) Performance : Minifies stylesheets and put them into a single compressed file
    
  orm:                                  # Doctrine configuration
                                        # More configuration : please use ProjectConfiguration::configureDoctrine* methods
    identifier_fields:    [ name, title, subject, author, id ]   # Fields used to represent a record with a string
    cache_enabled:        true          # (RECOMMENDED) Use doctrine query cache. No side effect, automatic cache invalidation )

  performance:
    enable_mailer:        true          # Set to false to disable Swift loading: significant performance boost.
                                        # If set to false, you can enable the mailer on demand with dm::enableMailer()
    page_cache:                         # Will cache entire pages and serve them very fast.
      enabled:            false         # Enable the page cache for all pages
      life_time:          86400         # Server-side lifetime of the cache in seconds (86400 seconds equals one day)

  web_services:
    version_check:        true          # verifies regularly if you are using the latest Diem version.
    report_anonymous_data: false         # reports anonymous data about plugins used.
                                        # http://diem-project.org/plugins will show the best plugins based on these reports.
                                        # the report request is sent only once, when a superadministrator logs in.
dev: 
  js:
    compress: false
  css:
    compress: false
    
